> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of Videos generated

> Get history of generated videos



## OpenAPI

````yaml get /project/assets/video/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/video/:
    get:
      tags:
        - project
      description: Get history of generated videos
      operationId: List Videos
      parameters:
        - in: query
          name: order
          schema:
            type: string
            enum:
              - '-created_at'
              - created_at
          description: >-
            Sort by the date of video creation (Ascending/Descending). If not
            provided, the resultset will be sort by newest to oldest. *
            `created_at` - Sort by ascending created at date (oldest to newest)
            * `-created_at` - Sort by decending created at date (newest to
            oldest)
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiVideoList'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiVideoList:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Video.
        title:
          type: string
          readOnly: true
          description: Name of the Video.
        video_status:
          allOf:
            - $ref: '#/components/schemas/VideoStatusEnum'
          readOnly: true
          description: |-
            Status of the video i.e. whether it's completed or failed.

            * `Pending` - Pending
            * `Complete` - Complete
            * `Queued` - Queued
            * `Processing` - Processing
            * `Failed` - Failed
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          readOnly: true
          description: Detail of the user who generated the video.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: DateTime when the video generation was requested.
      required:
        - created_at
        - creator
        - id
        - title
        - video_status
    VideoStatusEnum:
      enum:
        - Pending
        - Complete
        - Queued
        - Processing
        - Failed
      type: string
      description: |-
        * `Pending` - Pending
        * `Complete` - Complete
        * `Queued` - Queued
        * `Processing` - Processing
        * `Failed` - Failed
    Creator:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the user.
        name:
          type: string
          readOnly: true
          description: Name of the user.
      required:
        - id
        - name
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````